Bug 1421349 - [abrt] baobab: _cairo_arc_in_direction(): baobab killed by SIGABRT
Summary: [abrt] baobab: _cairo_arc_in_direction(): baobab killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: baobab
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:01feb543d6f6e51e9f48c44a670...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 10:50 UTC by Nikita Orlov
Modified: 2017-08-08 19:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:39:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.53 KB, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: cgroup (259 bytes, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: core_backtrace (21.56 KB, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: dso_list (9.73 KB, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: environ (1.68 KB, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: maps (49.78 KB, text/plain)
2017-02-11 10:50 UTC, Nikita Orlov
no flags Details
File: mountinfo (3.45 KB, text/plain)
2017-02-11 10:51 UTC, Nikita Orlov
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-11 10:51 UTC, Nikita Orlov
no flags Details
File: open_fds (1.16 KB, text/plain)
2017-02-11 10:51 UTC, Nikita Orlov
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-11 10:51 UTC, Nikita Orlov
no flags Details
File: var_log_messages (296 bytes, text/plain)
2017-02-11 10:51 UTC, Nikita Orlov
no flags Details

Description Nikita Orlov 2017-02-11 10:50:43 UTC
Description of problem:
I upgraded Fedora 24 to Fedora 25 using the manual:
https://fedoraproject.org/wiki/DNF_system_upgrade
After the system was successfully upgraded it couldn't start up, I saw something like:
"
kernel: ...
device-mapper: cannot remove ioctl ...
command failed
"
there were a lot of such records on the screen (duplicates).
I rebooted the system and saw suggestion to report problem. This is it.

Version-Release number of selected component:
baobab-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/baobab --gapplication-service
crash_function: _cairo_arc_in_direction
executable:     /usr/bin/baobab
global_pid:     7501
kernel:         4.8.4-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #9 _cairo_arc_in_direction at cairo-arc.c:189
 #10 _cairo_default_context_arc at cairo-default-context.c:783
 #11 cairo_arc at cairo.c:1643
 #12 baobab_ringschart_real_draw_item at baobab-ringschart.c:1197
 #13 baobab_chart_real_draw at baobab-chart.c:1109
 #14 gtk_widget_draw_internal at gtkwidget.c:7016
 #15 gtk_container_propagate_draw at gtkcontainer.c:3838
 #16 gtk_stack_render at gtkstack.c:2212
 #17 gtk_css_custom_gadget_draw at gtkcsscustomgadget.c:159
 #18 gtk_css_gadget_draw at gtkcssgadget.c:877

Potential duplicate: bug 1089649

Comment 1 Nikita Orlov 2017-02-11 10:50:48 UTC
Created attachment 1249220 [details]
File: backtrace

Comment 2 Nikita Orlov 2017-02-11 10:50:50 UTC
Created attachment 1249221 [details]
File: cgroup

Comment 3 Nikita Orlov 2017-02-11 10:50:52 UTC
Created attachment 1249222 [details]
File: core_backtrace

Comment 4 Nikita Orlov 2017-02-11 10:50:53 UTC
Created attachment 1249223 [details]
File: dso_list

Comment 5 Nikita Orlov 2017-02-11 10:50:55 UTC
Created attachment 1249224 [details]
File: environ

Comment 6 Nikita Orlov 2017-02-11 10:50:56 UTC
Created attachment 1249225 [details]
File: limits

Comment 7 Nikita Orlov 2017-02-11 10:50:59 UTC
Created attachment 1249226 [details]
File: maps

Comment 8 Nikita Orlov 2017-02-11 10:51:00 UTC
Created attachment 1249227 [details]
File: mountinfo

Comment 9 Nikita Orlov 2017-02-11 10:51:02 UTC
Created attachment 1249228 [details]
File: namespaces

Comment 10 Nikita Orlov 2017-02-11 10:51:03 UTC
Created attachment 1249229 [details]
File: open_fds

Comment 11 Nikita Orlov 2017-02-11 10:51:04 UTC
Created attachment 1249230 [details]
File: proc_pid_status

Comment 12 Nikita Orlov 2017-02-11 10:51:06 UTC
Created attachment 1249231 [details]
File: var_log_messages

Comment 13 Nikita Orlov 2017-02-15 19:29:00 UTC
Sorry, it was at 2016-11-06, bug has nothing to do with upgrading Fedora 24 to Fedora 25. I've seen it after upgrading along with other problems. Now I can't say anything about subject.

Comment 14 Fedora End Of Life 2017-07-26 00:15:43 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 19:39:13 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.